<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hwpf.usermodel Class Hierarchy (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hwpf.usermodel Class Hierarchy (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/sprm/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/ooxml/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 class="title">Hierarchy For Package org.apache.poi.hwpf.usermodel</h1>
    <span class="packageHierarchyLabel">Package Hierarchies:</span>
    <ul class="horizontal">
        <li><a href="../../../../../overview-tree.html">All Packages</a></li>
    </ul>
</div>
<div class="contentContainer">
    <h2 title="Class Hierarchy">Class Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/BookmarksImpl.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span
                        class="typeNameLink">BookmarksImpl</span></a> (implements org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/Bookmarks.html"
                        title="interface in org.apache.poi.hwpf.usermodel">Bookmarks</a>)
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/BorderCode.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">BorderCode</span></a>
                    (implements java.lang.Cloneable)
                </li>
                <li type="circle">org.apache.poi.hwpf.model.types.<a
                        href="../../../../../org/apache/poi/hwpf/model/types/CHPAbstractType.html"
                        title="class in org.apache.poi.hwpf.model.types"><span
                        class="typeNameLink">CHPAbstractType</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/CharacterProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">CharacterProperties</span></a>
                            (implements java.lang.Cloneable)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/DateAndTime.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">DateAndTime</span></a>
                    (implements java.lang.Cloneable)
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/DropCapSpecifier.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span
                        class="typeNameLink">DropCapSpecifier</span></a> (implements java.lang.Cloneable)
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/FieldsImpl.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">FieldsImpl</span></a>
                    (implements org.apache.poi.hwpf.usermodel.<a
                            href="../../../../../org/apache/poi/hwpf/usermodel/Fields.html"
                            title="interface in org.apache.poi.hwpf.usermodel">Fields</a>)
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span
                        class="typeNameLink">HeaderStories</span></a></li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/HWPFList.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">HWPFList</span></a>
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/LineSpacingDescriptor.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span
                        class="typeNameLink">LineSpacingDescriptor</span></a> (implements java.lang.Cloneable)
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/NotesImpl.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">NotesImpl</span></a>
                    (implements org.apache.poi.hwpf.usermodel.<a
                            href="../../../../../org/apache/poi/hwpf/usermodel/Notes.html"
                            title="interface in org.apache.poi.hwpf.usermodel">Notes</a>)
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/ObjectPoolImpl.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">ObjectPoolImpl</span></a>
                    (implements org.apache.poi.hwpf.usermodel.<a
                            href="../../../../../org/apache/poi/hwpf/usermodel/ObjectsPool.html"
                            title="interface in org.apache.poi.hwpf.usermodel">ObjectsPool</a>)
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawingsImpl.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span
                        class="typeNameLink">OfficeDrawingsImpl</span></a> (implements org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawings.html"
                        title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawings</a>)
                </li>
                <li type="circle">org.apache.poi.hwpf.model.types.<a
                        href="../../../../../org/apache/poi/hwpf/model/types/PAPAbstractType.html"
                        title="class in org.apache.poi.hwpf.model.types"><span
                        class="typeNameLink">PAPAbstractType</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/ParagraphProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">ParagraphProperties</span></a>
                            (implements java.lang.Cloneable)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/Picture.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Picture</span></a>
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span
                        class="typeNameLink">PictureRunMapper</span></a></li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Range</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span
                                class="typeNameLink">CharacterRun</span></a> (implements org.apache.poi.wp.usermodel.<a
                                href="../../../../../org/apache/poi/wp/usermodel/CharacterRun.html"
                                title="interface in org.apache.poi.wp.usermodel">CharacterRun</a>, java.lang.Cloneable)
                        </li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/Paragraph.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span
                                class="typeNameLink">Paragraph</span></a> (implements java.lang.Cloneable)
                            <ul>
                                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                        href="../../../../../org/apache/poi/hwpf/usermodel/ListEntry.html"
                                        title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">ListEntry</span></a>
                                </li>
                            </ul>
                        </li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/Section.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Section</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/Table.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span
                                class="typeNameLink">Table</span></a></li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/TableCell.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span
                                class="typeNameLink">TableCell</span></a></li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/TableRow.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span
                                class="typeNameLink">TableRow</span></a></li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hwpf.model.types.<a
                        href="../../../../../org/apache/poi/hwpf/model/types/SEPAbstractType.html"
                        title="class in org.apache.poi.hwpf.model.types"><span
                        class="typeNameLink">SEPAbstractType</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/SectionProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">SectionProperties</span></a>
                            (implements java.lang.Cloneable)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hwpf.model.types.<a
                        href="../../../../../org/apache/poi/hwpf/model/types/SHD80AbstractType.html"
                        title="class in org.apache.poi.hwpf.model.types"><span
                        class="typeNameLink">SHD80AbstractType</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor80.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">ShadingDescriptor80</span></a>
                            (implements java.lang.Cloneable)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hwpf.model.types.<a
                        href="../../../../../org/apache/poi/hwpf/model/types/SHDAbstractType.html"
                        title="class in org.apache.poi.hwpf.model.types"><span
                        class="typeNameLink">SHDAbstractType</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/ShadingDescriptor.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">ShadingDescriptor</span></a>
                            (implements java.lang.Cloneable)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hwpf.usermodel.<a
                        href="../../../../../org/apache/poi/hwpf/usermodel/TableIterator.html"
                        title="class in org.apache.poi.hwpf.usermodel"><span
                        class="typeNameLink">TableIterator</span></a></li>
                <li type="circle">org.apache.poi.hwpf.model.types.<a
                        href="../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html"
                        title="class in org.apache.poi.hwpf.model.types"><span
                        class="typeNameLink">TAPAbstractType</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/TableProperties.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">TableProperties</span></a>
                            (implements java.lang.Cloneable)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hwpf.model.types.<a
                        href="../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html"
                        title="class in org.apache.poi.hwpf.model.types"><span
                        class="typeNameLink">TCAbstractType</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/TableCellDescriptor.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">TableCellDescriptor</span></a>
                            (implements java.lang.Cloneable)
                        </li>
                    </ul>
                </li>
                <li type="circle">org.apache.poi.hwpf.model.types.<a
                        href="../../../../../org/apache/poi/hwpf/model/types/TLPAbstractType.html"
                        title="class in org.apache.poi.hwpf.model.types"><span
                        class="typeNameLink">TLPAbstractType</span></a>
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/TableAutoformatLookSpecifier.html"
                                title="class in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">TableAutoformatLookSpecifier</span></a>
                            (implements java.lang.Cloneable)
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <h2 title="Interface Hierarchy">Interface Hierarchy</h2>
    <ul>
        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                href="../../../../../org/apache/poi/hwpf/usermodel/Bookmark.html"
                title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Bookmark</span></a></li>
        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                href="../../../../../org/apache/poi/hwpf/usermodel/Bookmarks.html"
                title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Bookmarks</span></a></li>
        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                href="../../../../../org/apache/poi/hwpf/usermodel/Field.html"
                title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Field</span></a></li>
        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                href="../../../../../org/apache/poi/hwpf/usermodel/Fields.html"
                title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Fields</span></a></li>
        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                href="../../../../../org/apache/poi/hwpf/usermodel/Notes.html"
                title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">Notes</span></a></li>
        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                href="../../../../../org/apache/poi/hwpf/usermodel/ObjectsPool.html"
                title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">ObjectsPool</span></a>
        </li>
        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">OfficeDrawing</span></a>
        </li>
        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawings.html"
                title="interface in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">OfficeDrawings</span></a>
        </li>
    </ul>
    <h2 title="Enum Hierarchy">Enum Hierarchy</h2>
    <ul>
        <li type="circle">java.lang.Object
            <ul>
                <li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;,
                    java.io.Serializable)
                    <ul>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/PictureType.html"
                                title="enum in org.apache.poi.hwpf.usermodel"><span
                                class="typeNameLink">PictureType</span></a></li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalPositioning.html"
                                title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">OfficeDrawing.HorizontalPositioning</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.HorizontalRelativeElement.html"
                                title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">OfficeDrawing.HorizontalRelativeElement</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalPositioning.html"
                                title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">OfficeDrawing.VerticalPositioning</span></a>
                        </li>
                        <li type="circle">org.apache.poi.hwpf.usermodel.<a
                                href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.VerticalRelativeElement.html"
                                title="enum in org.apache.poi.hwpf.usermodel"><span class="typeNameLink">OfficeDrawing.VerticalRelativeElement</span></a>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li>Use</li>
        <li class="navBarCell1Rev">Tree</li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hwpf/sprm/package-tree.html">Prev</a></li>
        <li><a href="../../../../../org/apache/poi/ooxml/package-tree.html">Next</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/usermodel/package-tree.html" target="_top">Frames</a>
        </li>
        <li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
